Package de.willuhn.jameica.hbci.gui.dialogs

# Class ExportDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.ExportDialog

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extendable`

public class ExportDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog implements de.willuhn.jameica.gui.extension.Extendable
Dialog, ueber den Daten exportiert werden koennen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ExportDialog.ExportFormat`
Hilfsklasse zur Anzeige der Exporter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final de.willuhn.jameica.system.Settings`
`SETTINGS`
Zugriff auf die Settings des Export-Dialogs.

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`ExportDialog(Object[] objects, Class type)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.util.Container`
`getContainer()`
Liefert den Formular-Container zur Erweiterung durch Extensions.
`protected Object`
`getData()`
`de.willuhn.jameica.gui.input.Input`
`getExporterList()`
Liefert eine Liste der verfuegbaren Exporter.
`String`
`getExtendableID()`
`Class`
`getType()`
Liefert den zu exportierenden Objekt-Typ.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SETTINGS

public static final de.willuhn.jameica.system.Settings SETTINGS
Zugriff auf die Settings des Export-Dialogs.

## Constructor Details

### ExportDialog

public ExportDialog(Object[] objects, Class type)
ct.

Parameters:
  `objects` - Liste der zu exportierenden Objekte.
  `type` - die Art der zu exportierenden Objekte.

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`

### getExporterList

public de.willuhn.jameica.gui.input.Input getExporterList()
Liefert eine Liste der verfuegbaren Exporter.

Returns:
  Liste der Exporter.

### getData

protected Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`

### getExtendableID

public String getExtendableID()

Specified by:
  `getExtendableID` in interface `de.willuhn.jameica.gui.extension.Extendable`

### getContainer

public de.willuhn.jameica.gui.util.Container getContainer()
Liefert den Formular-Container zur Erweiterung durch Extensions.

Returns:
  der Formular-Container zur Erweiterung durch Extensions.

### getType

public Class getType()
Liefert den zu exportierenden Objekt-Typ.

Returns:
  der zu exportierenden Objekt-Typ.